# Taipy
[![tests](https://github.com/Avaiga/taipy/actions/workflows/tests.yml/badge.svg)](https://github.com/Avaiga/taipy/actions/workflows/tests.yml)
[![Python](https://img.shields.io/pypi/pyversions/taipy)](https://pypi.org/project/taipy)
[![PyPI](https://img.shields.io/pypi/v/taipy.svg?label=pip&logo=PyPI&logoColor=white)](https://pypi.org/project/taipy)

## License
Copyright 2023 Avaiga Private Limited

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
[http://www.apache.org/licenses/LICENSE-2.0](https://www.apache.org/licenses/LICENSE-2.0.txt)

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
specific language governing permissions and limitations under the License.

## Usage
  - [Taipy](#taipy)
  - [License](#license)
  - [Usage](#usage)
  - [What is Taipy](#what-is-taipy)
  - [Installation](#installation)
  - [Contributing](#contributing)
  - [Code of conduct](#code-of-conduct)
  - [Directory Structure](#directory-structure)
## What is Taipy

Taipy is a Python library for creating Business Applications. More information on our [website](https://www.taipy.io).
Taipy is split into multiple repositories to let users install the minimum they need.

A more in depth documentation of taipy can be found [here](https://docs.taipy.io).

## Installation

Want to install _Taipy_? Check out our [`INSTALLATION.md`](INSTALLATION.md) file.

## Contributing

Want to help build _Taipy_? Check out our [`CONTRIBUTING.md`](CONTRIBUTING.md) file.

## Code of conduct

Want to be part of the _Taipy_ community? Check out our [`CODE_OF_CONDUCT.md`](CODE_OF_CONDUCT.md) file.

## Directory Structure

- `taipy`:
    - `_run.py`: The python module exposing the method `run` to use to start a Taipy application.
- `CODE_OF_CONDUCT.md`: Code of conduct for members and contributors of _taipy_.
- `CONTRIBUTING.md`: Instructions to contribute to _taipy_.
- `INSTALLATION.md`: Instructions to install _taipy_.
- `LICENSE`: The Apache 2.0 License.
- `README.md`: Current file.
- `setup.py`: The setup script managing building, distributing, and installing _taipy_.
